SDL_WriteS32LE(3)

NAME
SDL_WriteS32LE - Use this function to write 32 bits in native format to an SDL_IOStream as little-endian data.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

bool SDL_WriteS32LE(SDL_IOStream *dst, Sint32 value);

DESCRIPTION
SDL byteswaps the data only if necessary, so the application always specifies native format, and the data written will be in little-endian format.

FUNCTION PARAMETERS

dst the stream to which data will be written.

value
    the data to be written, in native format.

RETURN VALUE
Returns true on successful write or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
Do not use the same SDL_IOStream from two threads at once.

AVAILABILITY
This function is available since SDL 3.2.0.